package js.jogl.prog;

import java.awt.BorderLayout;
import java.awt.Frame;

import javax.media.opengl.GLAutoDrawable;
import javax.media.opengl.GLCapabilities;
import javax.media.opengl.awt.GLCanvas;

import com.jogamp.newt.event.KeyListener;
import com.jogamp.newt.event.MouseListener;
import com.jogamp.newt.event.awt.AWTKeyAdapter;
import com.jogamp.newt.event.awt.AWTMouseAdapter;
import com.jogamp.newt.opengl.GLWindow;

public abstract class GLProgramAWT extends GLProgram {

    private final GLCanvas canvas;
    private final Frame    frame;

    public Frame getFrame() {
        return frame;
    }
    
    public GLProgramAWT(String name, int w, int h, GLCapabilities caps) {
        super(w, h);

        canvas = new GLCanvas(caps);
        frame = new Frame(name);
        frame.setLayout(new BorderLayout());
        frame.add(canvas, BorderLayout.CENTER);
        frame.setSize(w, h);
        frame.setLocationRelativeTo(null);

        frame.addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent windowevent) {
                frame.dispose();
                System.exit(0);
            }
        });

        frame.setVisible(true);
        
        attachDrawableAndStart(canvas);
    }
    
    @Override
    public void addKeyListener(KeyListener l) {
        new AWTKeyAdapter(l).addTo(canvas);
    }
    
    @Override
    public void addMouseListener(MouseListener l) {
        new AWTMouseAdapter(l).addTo(canvas);        
    }
}
